package dev.peerat.mapping.providers.mysql;

import java.util.ArrayList;
import java.util.List;

public class MySQLDatabaseState{
	
	private List<Table> tables;
	
	public MySQLDatabaseState(){
		this.tables = new ArrayList<>();
	}

	public static class Table{
		
		private String name;
		private List<Column> columns;
		
		public Table(String name){
			this.name = name;
			this.columns = new ArrayList<>();
		}
		
		public String getName(){
			return this.name;
		}
		
		
		public static class Column{
			
			private String name;
			private String type;
			private boolean primary;
			private Column foreign;
			
			public Column(String name, String type, boolean primary){
				this.name = name;
				this.type = type;
				this.primary = primary;
			}
			
			public void setForeign(Column column){
				this.foreign = column;
			}
			
			public String getName(){
				return this.name;
			}
			
			public String getType(){
				return this.type;
			}
			
			public boolean isPrimary(){
				return this.primary;
			}
			
			public Column getForeign(){
				return this.foreign;
			}
		}
	}
}
